diff -Naur battle.orig-0.orig/net/wg/gui/battle/views/BaseBattlePage.class.asasm battle.orig-0/net/wg/gui/battle/views/BaseBattlePage.class.asasm
--- battle.orig-0.orig/net/wg/gui/battle/views/BaseBattlePage.class.asasm	2021-10-26 22:50:44.291907600 +0300
+++ battle.orig-0/net/wg/gui/battle/views/BaseBattlePage.class.asasm	2021-10-26 22:56:32.472894600 +0300
@@ -54,6 +54,25 @@
   trait slot QName(ProtectedNamespace("net.wg.gui.battle.views:BaseBattlePage"), "vehicleMessageList") type QName(PackageNamespace("net.wg.gui.battle.views.vehicleMessages"), "VehicleMessages") end
   trait slot QName(ProtectedNamespace("net.wg.gui.battle.views:BaseBattlePage"), "vehicleErrorMessageList") type QName(PackageNamespace("net.wg.gui.battle.views.messages"), "MessageListDAAPI") end
   trait slot QName(ProtectedNamespace("net.wg.gui.battle.views:BaseBattlePage"), "playerMessageList") type QName(PackageNamespace("net.wg.gui.battle.views.messages"), "MessageListDAAPI") end
+  trait getter QName(PackageNamespace(""), "xfw_battleStatisticDataController")
+   method
+    returns QName(PackageNamespace("net.wg.infrastructure.helpers.statisticsDataController"), "BattleStatisticDataController")
+    body
+     maxstack 1
+     localcount 1
+     initscopedepth 11
+     maxscopedepth 12
+     code
+      getlocal0
+      pushscope
+
+      getlocal0
+      getproperty         QName(ProtectedNamespace("net.wg.gui.battle.views:BaseBattlePage"), "battleStatisticDataController")
+      returnvalue
+     end ; code
+    end ; body
+   end ; method
+  end ; trait
   trait slot QName(ProtectedNamespace("net.wg.gui.battle.views:BaseBattlePage"), "battleStatisticDataController") type QName(PackageNamespace("net.wg.infrastructure.helpers.statisticsDataController"), "BattleStatisticDataController") end
   trait slot QName(ProtectedNamespace("net.wg.gui.battle.views:BaseBattlePage"), "postmortemTips") type QName(PackageNamespace("net.wg.gui.battle.views.postmortemPanel"), "BasePostmortemPanel") value Null() end
   trait slot QName(ProtectedNamespace("net.wg.gui.battle.views:BaseBattlePage"), "isPostMortem") type QName(PackageNamespace(""), "Boolean") value False() end
@@ -1366,6 +1385,30 @@
     end ; body
    end ; method
   end ; trait
+  trait method QName(PackageNamespace(""), "xfw_registerComponent")
+   method
+    param QName(PackageNamespace("net.wg.infrastructure.interfaces"), "IDAAPIModule")
+    param QName(PackageNamespace(""), "String")
+    returns QName(PackageNamespace(""), "void")
+    body
+     maxstack 3
+     localcount 3
+     initscopedepth 15
+     maxscopedepth 16
+     code
+      getlocal0
+      pushscope
+
+      getlocal0
+      getlocal1
+      getlocal2
+      callpropvoid        QName(ProtectedNamespace("net.wg.gui.battle.views:BaseBattlePage"), "registerComponent"), 2
+
+      returnvoid
+     end ; code
+    end ; body
+   end ; method
+  end ; trait
   trait method QName(ProtectedNamespace("net.wg.gui.battle.views:BaseBattlePage"), "updateBattleDamageLogPosInPostmortem")
    method
     refid "net.wg.gui.battle.views:BaseBattlePage/instance/net.wg.gui.battle.views:BaseBattlePage:updateBattleDamageLogPosInPostmortem"
@@ -2178,6 +2221,28 @@
     end ; body
    end ; method
   end ; trait
+  trait method QName(PackageNamespace(""), "xfw_onMiniMapTrySizeChangeHandler")
+   method
+    param QName(PackageNamespace("net.wg.gui.battle.views.minimap.events"), "MinimapEvent")
+    returns QName(PackageNamespace(""), "void")
+    body
+     maxstack 3
+     localcount 2
+     initscopedepth 15
+     maxscopedepth 16
+     code
+      getlocal0
+      pushscope
+
+      getlocal0
+      getlocal1
+      callpropvoid        QName(PrivateNamespace(null, "net.wg.gui.battle.views:BaseBattlePage"), "onMiniMapTrySizeChangeHandler"), 1
+
+      returnvoid
+     end ; code
+    end ; body
+   end ; method
+  end ; trait
   trait method QName(PrivateNamespace(null, "net.wg.gui.battle.views:BaseBattlePage"), "onMiniMapTrySizeChangeHandler")
    method
     refid "net.wg.gui.battle.views:BaseBattlePage/instance/net.wg.gui.battle.views:BaseBattlePage/onMiniMapTrySizeChangeHandler"
@@ -2199,6 +2264,28 @@
 
       returnvoid
      end ; code
+    end ; body
+   end ; method
+  end ; trait
+  trait method QName(PackageNamespace(""), "xfw_onMiniMapChangeHandler")
+   method
+    param QName(PackageNamespace("net.wg.gui.battle.views.minimap.events"), "MinimapEvent")
+    returns QName(PackageNamespace(""), "void")
+    body
+     maxstack 3
+     localcount 2
+     initscopedepth 15
+     maxscopedepth 16
+     code
+      getlocal0
+      pushscope
+
+      getlocal0
+      getlocal1
+      callpropvoid        QName(ProtectedNamespace("net.wg.gui.battle.views:BaseBattlePage"), "onMiniMapChangeHandler"), 1
+
+      returnvoid
+     end ; code
     end ; body
    end ; method
   end ; trait
diff -Naur battle.orig-0.orig/net/wg/infrastructure/helpers/statisticsDataController/BattleStatisticDataController.class.asasm battle.orig-0/net/wg/infrastructure/helpers/statisticsDataController/BattleStatisticDataController.class.asasm
--- battle.orig-0.orig/net/wg/infrastructure/helpers/statisticsDataController/BattleStatisticDataController.class.asasm	2019-12-12 22:06:47.932729000 +0200
+++ battle.orig-0/net/wg/infrastructure/helpers/statisticsDataController/BattleStatisticDataController.class.asasm	2019-12-12 22:09:08.131790800 +0200
@@ -49,7 +49,45 @@
     end ; code
    end ; body
   end ; method
+  trait getter QName(PackageNamespace(""), "xfw_componentControllers")
+   method
+    returns TypeName(QName(PackageNamespace("__AS3__.vec"), "Vector")<QName(PackageNamespace("net.wg.infrastructure.helpers.statisticsDataController.intarfaces"), "IBattleComponentDataController")>)
+    body
+     maxstack 1
+     localcount 1
+     initscopedepth 11
+     maxscopedepth 12
+     code
+      getlocal0
+      pushscope
+
+      getlocal0
+      getproperty         QName(PrivateNamespace(null, "net.wg.infrastructure.helpers.statisticsDataController:BattleStatisticDataController/instance"), "_componentControllers")
+      returnvalue
+     end ; code
+    end ; body
+   end ; method
+  end ; trait
   trait slot QName(PrivateNamespace(null, "net.wg.infrastructure.helpers.statisticsDataController:BattleStatisticDataController/instance"), "_componentControllers") type TypeName(QName(PackageNamespace("__AS3__.vec"), "Vector")<QName(PackageNamespace("net.wg.infrastructure.helpers.statisticsDataController.intarfaces"), "IBattleComponentDataController")>) end
+  trait getter QName(PackageNamespace(""), "xfw_questProgressViews")
+   method
+    returns TypeName(QName(PackageNamespace("__AS3__.vec"), "Vector")<QName(PackageNamespace("net.wg.gui.battle.views.questProgress.interfaces"), "IQuestProgressViewUpdatable")>)
+    body
+     maxstack 1
+     localcount 1
+     initscopedepth 11
+     maxscopedepth 12
+     code
+      getlocal0
+      pushscope
+
+      getlocal0
+      getproperty         QName(PrivateNamespace(null, "net.wg.infrastructure.helpers.statisticsDataController:BattleStatisticDataController/instance"), "_questProgressViews")
+      returnvalue
+     end ; code
+    end ; body
+   end ; method
+  end ; trait
   trait slot QName(PrivateNamespace(null, "net.wg.infrastructure.helpers.statisticsDataController:BattleStatisticDataController/instance"), "_questProgressViews") type TypeName(QName(PackageNamespace("__AS3__.vec"), "Vector")<QName(PackageNamespace("net.wg.gui.battle.views.questProgress.interfaces"), "IQuestProgressViewUpdatable")>) end
   trait slot QName(PrivateNamespace(null, "net.wg.infrastructure.helpers.statisticsDataController:BattleStatisticDataController/instance"), "_container") type QName(PackageNamespace("flash.display"), "DisplayObjectContainer") end
   trait slot QName(PrivateNamespace(null, "net.wg.infrastructure.helpers.statisticsDataController:BattleStatisticDataController/instance"), "_isDAAPIInited") type QName(PackageNamespace(""), "Boolean") value False() end
diff -Naur battle.orig-0.orig/net/wg/infrastructure/managers/impl/AtlasManager.class.asasm battle.orig-0/net/wg/infrastructure/managers/impl/AtlasManager.class.asasm
--- battle.orig-0.orig/net/wg/infrastructure/managers/impl/AtlasManager.class.asasm	2021-10-11 00:44:07.766569600 +0300
+++ battle.orig-0/net/wg/infrastructure/managers/impl/AtlasManager.class.asasm	2021-10-11 00:56:43.723266000 +0300
@@ -846,6 +846,27 @@
     end ; body
    end ; method
   end ; trait
+  trait method QName(PackageNamespace(""), "xfw_getAtlas")
+   method
+    param QName(PackageNamespace(""), "String")
+    returns QName(PackageNamespace("net.wg.infrastructure.interfaces"), "IAtlas")
+    body
+     maxstack 3
+     localcount 2
+     initscopedepth 16
+     maxscopedepth 17
+     code
+      getlocal0
+      pushscope
+
+      getlocal0
+      getlocal1
+      callproperty        QName(PrivateNamespace(null, "net.wg.infrastructure.managers.impl:AtlasManager/instance"), "getAtlas"), 1
+      returnvalue
+     end ; code
+    end ; body
+   end ; method
+  end ; trait
   trait method QName(PrivateNamespace(null, "net.wg.infrastructure.managers.impl:AtlasManager/instance"), "getAtlas")
    method
     refid "net.wg.infrastructure.managers.impl:AtlasManager/instance/net.wg.infrastructure.managers.impl:AtlasManager/instance/getAtlas"
